<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Панель управления - Лог голосовавших');

///Подключаем шапку
$title->GetHeader();

if ($b['level'] < 4) {
header('location:/');
die();
}
if ($b == false){
header('location:/');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Панель управления </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/panel" rel="v:url" property="v:title">Дата-центр</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Лог голосовавших</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><a href="/panel"><i class="md-format-list-bulleted"></i> Админка</a> - Лог голосовавших</div>';
$k_post = DB::$dbs->querySingle("SELECT COUNT(id) FROM `down_votes`");
if ($k_post == 0) {
err('Голосовавших нет!');
}
$num = 10;
$k_page = k_page($k_post, $num);
$page = page($k_page);
$start = $num*$page-$num;
$array = DB::$dbs->query("SELECT * FROM `down_votes` ORDER BY time DESC LIMIT $start,$num");
while($arr = $array -> fetch()) {
$tst = DB::$dbs->queryFetch("SELECT * FROM downs WHERE id = ? LIMIT 1", [$arr['id_file']]);
echo '<div class="row text_box">'.Nick($arr['user_id']).' ('.vr($arr['time']).') '. ($arr['type'] == 'za' ? '<font color="green"><b>+1</b></font>':'<font color="red"><b>-1</b></font>').'<br/>Комментарий: '.text($arr['text']).'<br/>Файл: <a href="/downs/file.html?id='.$tst['id'].'">'.$tst['name'].'</a></div>';
}
if ($k_page > 1) {
str('?',$k_page,$page);
}
echo '<ul class="nav nav-pills nav-stacked"><li><a href="file.html?id='.$id.'"><i class="md-apps"></i> Вернуться к файлу</a></li></ul>';
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>